## gnulib 20090101

=== doc/Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 doc = gnulib
 
+MAKEINFO = env LANG= LC_MESSAGES= LC_ALL= LANGUAGE= makeinfo
 TEXI2HTML = $(MAKEINFO) --no-split --reference-limit=2000 --html
 %.html: %.texi
 	$(TEXI2HTML) -o $@ $<
@@ -22,6 +23,18 @@
 html: $(doc).html
 dvi: $(doc).dvi
 pdf: $(doc).pdf
+
+# INSTALL file with old ASCII quotation marks (looks ugly on modern machines).
+INSTALL: install.texi
+	$(MAKEINFO) --plaintext --no-validate $< > $@
+
+# INSTALL file with ISO 646 or ISO 8859 quotation marks.
+INSTALL.ISO: install.texi
+	$(MAKEINFO) --plaintext --no-validate $< | sed -e "s/\`\([^']*\)'/'\1'/g" > $@
+
+# INSTALL file wit ISO 10646 (Unicode) quotation marks.
+INSTALL.UTF-8: install.texi
+	$(MAKEINFO) --plaintext --no-validate $< | sed -e "s/\`\([^']*\)'/‘\1’/g" > $@
 
 GNULIB_TEXI_FILES = $(filter-out maintain.texi make-stds.texi standards.texi,$(wildcard *.texi)) $(wildcard posix-headers/*.texi) $(wildcard posix-functions/*.texi) $(wildcard glibc-headers/*.texi) $(wildcard glibc-functions/*.texi)
