=== debian/changelog ===
gnulib (20100424+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Refresh 01-gnulib-directory.patch.
  * Switch to source format 3.0 (quilt).
  * debian/rules: Remove 'upstream' target - not needed now we use stable
    snapshot tarballs.

 -- Ian Beckwith <ianb@debian.org>  Sat, 24 Apr 2010 22:06:23 +0100

gnulib (20100308+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Standards-Version: 3.8.4 (no changes).
  * Refresh 01-gnulib-directory.patch.

 -- Ian Beckwith <ianb@debian.org>  Mon, 08 Mar 2010 06:51:23 +0000

gnulib (20100109+stable-1) unstable; urgency=low

  * New upstream stable snapshot
    + at_func2.c: fix free. Thanks to Petr Salinger (Closes: #561117).
  * debian/rules: make lib/config.charset executable.

 -- Ian Beckwith <ianb@debian.org>  Sun, 17 Jan 2010 07:26:49 +0000

gnulib (20091120+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Install posix-modules (Closes: #555493).
    Also install MODULES.html.sh and the root Makefile, just in case.
  * Install NEWS, NEWS.stable, README, users.txt to /usr/share/doc/gnulib.
  * Add dependencies for everything needed by gnulib-tool.
  * Add lintian executable-not-elf-or-script overrides for scripts
    in build-aux/ that invoke themselves with excessively magical
    non-shebang lines.
  * debian/clscan/clscan: allow LGPL-3+ as an override.
  * debian/control: add Vcs-* headers.

 -- Ian Beckwith <ianb@debian.org>  Fri, 20 Nov 2009 01:19:58 +0000

gnulib (20090915+f32c9d0-2) unstable; urgency=low

  * Add top/ to installed directories.
  * debian/rules: don't chmod canonicalize-lgpl.m4: removed.

 -- Ian Beckwith <ianb@debian.org>  Sun, 27 Sep 2009 04:11:26 +0100

gnulib (20090915+f32c9d0-1) unstable; urgency=low

  * New upstream snapshot 20090915+f32c9d0.
  * Full license/copyright audit.
    See debian/clscan/README for info on updating debian/copyright.

 -- Ian Beckwith <ianb@debian.org>  Wed, 16 Sep 2009 03:01:32 +0100

gnulib (20090908+c5c46dc-1) unstable; urgency=low

  * New maintainer (closes: #543842).
  * New upstream snapshot 20090908+c5c46dc.
  * debian/rules:
    + upstream:
      * use short git hash in package version.
      * use --depth 1 when cloning.
    + override_dh_install:
      * remove .cvsignore and .gitignore files
  * debian/control:
    + add Depends: ${misc:Depends}.
    + Bump debhelper build-dep to >= 7.0.50~ (for overrides).
    + Add clisp to Suggests: for gen-uninames.lisp. Should only
      be needed if you are hacking on gnulib itself.
  * Added debian/README.source.
  * Added stub debian/watch file.
  * Registered gnulib.html with doc-base.
  * debian/copyright: improved somewhat; still needs more work.
  * Fixed perms on test scripts.

 -- Ian Beckwith <ianb@debian.org>  Tue, 08 Sep 2009 02:35:47 +0100

gnulib (20090801-2) unstable; urgency=low

  * Updating package to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 07:32:01 +0200

gnulib (20090801-1) unstable; urgency=low

  * Merging upstream version 20090801.
  * Minimalizing rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 03 Aug 2009 00:26:08 +0200

gnulib (20090701-1) unstable; urgency=low

  * Merging upstream version 20090701.

 -- Daniel Baumann <daniel@debian.org>  Fri, 10 Jul 2009 12:13:50 +0200

gnulib (20090601-1) UNRELEASED; urgency=low

  * Merging upstream version 20090601.
  * Updating package to standards version 3.8.2.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Fri, 10 Jul 2009 12:09:20 +0200

gnulib (20090501-1) unstable; urgency=low

  * Merging upstream version 20090501.

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 May 2009 15:21:00 +0200

gnulib (20090401-1) unstable; urgency=low

  * Merging upstream version 20090401.
  * Using quilt rather than dpatch.
  * Upgrading package to standards 3.8.1.
  * Tidy rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 06 Apr 2009 04:01:00 +0200

gnulib (20090301-1) unstable; urgency=low

  * Merging upstream version 20090301.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Mar 2009 13:51:00 +0100

gnulib (20090201-1) unstable; urgency=low

  * Merging upstream version 20090201.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Feb 2009 15:09:00 +0100

gnulib (20090101-1) unstable; urgency=low

  * Merging upstream version 20090101.
  * Correcting a couple of typos in check-module manpage, thanks to
    Reuben Thomas <rrt@femur.dyndns.org> (Closes: #503083).

 -- Daniel Baumann <daniel@debian.org>  Fri, 09 Jan 2009 13:55:00 -0500

gnulib (20081201-1) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 20081201.
  * Prefixing debhelper files with package name.

 -- Daniel Baumann <daniel@debian.org>  Mon, 01 Dec 2008 23:36:00 +0100

gnulib (20081101-1) unstable; urgency=low

  * Merging upstream version 20081101.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Nov 2008 21:17:00 +0100

gnulib (20081001-1) unstable; urgency=low

  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Merging upstream version 20081001.

 -- Daniel Baumann <daniel@debian.org>  Sat, 04 Oct 2008 10:13:00 +0200

gnulib (20080901-1) unstable; urgency=medium

  * Merging upstream version 20080901:
    - Fixes pipe problem in gnulib-tool (Closes: #497298).

 -- Daniel Baumann <daniel@debian.org>  Mon, 01 Sep 2008 12:56:00 +0200

gnulib (20080801-1) unstable; urgency=low

  * Merging upstream version 20080801.

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 Aug 2008 20:36:00 +0200

gnulib (20080701-1) unstable; urgency=low

  * Merging upstream version 20080701.
  * Updating to standards 3.8.0.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 Jul 2008 14:40:00 +0200

gnulib (20080601-1) unstable; urgency=low

  * Merging upstream version 20080601.


