=== debian/control ===
Source: gnulib
Section: devel
Priority: optional
Maintainer: Ian Beckwith <ianb@debian.org>
Build-Depends: debhelper (>= 7.0.50~), texinfo
Standards-Version: 3.8.4
Homepage: http://www.gnu.org/software/gnulib/
Vcs-Browser: http://erislabs.net/gitweb?p=gnulib.git
Vcs-Git: git://erislabs.net/gnulib.git

Package: gnulib
Architecture: all
Depends: ${misc:Depends}, build-essential, m4, autoconf, automake, gettext, bison, gperf, texinfo, libtool
Suggests: perl, clisp
Description: GNU Portability Library
 The GNU portability library is a macro system and C declarations and
 definitions for commonly-used API elements and abstracted system behaviors. It
 can be used to improve portability and other functionality in your programs.
