## gnulib 20100704+stable

=== Makefile ===
--- 
+++ 
@@ -16,10 +16,11 @@
 check: sc_prefer_ac_check_funcs_once
 
 sc_prefer_ac_check_funcs_once:
-	[ -d .git ] && \
-	git grep -w -l AC_CHECK_FUNCS modules && \
-	  { echo use AC_CHECK_FUNCS_ONCE, not AC_CHECK_FUNCS in modules/ 1>&2; \
-	    exit 1; } || :
+	if test -d .git; then						\
+          git grep -w -l AC_CHECK_FUNCS modules				\
+            && { echo use AC_CHECK_FUNCS_ONCE, not AC_CHECK_FUNCS	\
+                   in modules/ 1>&2; exit 1; } || :			\
+	else :; fi
 
 # Regenerate some files that are stored in the repository.
 regen: MODULES.html
