=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Ian Beckwith <ianb@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), texinfo
-Standards-Version: 3.8.4
+Standards-Version: 3.9.0
 Homepage: http://www.gnu.org/software/gnulib/
 Vcs-Browser: http://erislabs.net/gitweb?p=gnulib.git
 Vcs-Git: git://erislabs.net/gnulib.git
 
 Package: gnulib
 Architecture: all
-Depends: ${misc:Depends}, build-essential, m4, autoconf, automake, gettext, bison, gperf, texinfo, libtool
+Depends: ${misc:Depends}, build-essential, m4, autoconf, automake, gettext (>= 0.18.1), autopoint, bison, gperf, texinfo, libtool
 Suggests: perl, clisp
 Description: GNU Portability Library
  The GNU portability library is a macro system and C declarations and
