=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_clean:
	$(MAKE) -C doc clean

override_dh_auto_build:
	$(MAKE) -C doc info
	$(MAKE) -C doc html

override_dh_auto_install:
	mkdir -p debian/gnulib/usr/bin
	cp -a check-module gnulib-tool debian/gnulib/usr/bin

	mkdir -p debian/gnulib/usr/share/gnulib
	cp -a build-aux posix-modules config doc lib m4 modules top tests \
              MODULES.html.sh Makefile debian/gnulib/usr/share/gnulib

	# Fixing permissions
	chmod 0755 debian/gnulib/usr/share/gnulib/build-aux/config.guess
	chmod 0755 debian/gnulib/usr/share/gnulib/build-aux/config.sub
	chmod 0755 debian/gnulib/usr/share/gnulib/build-aux/gendocs.sh
	chmod 0644 debian/gnulib/usr/share/gnulib/doc/gendocs_template
	chmod 0755 debian/gnulib/usr/share/gnulib/lib/config.charset
	chmod 0644 debian/gnulib/usr/share/gnulib/m4/fflush.m4
	chmod 0644 debian/gnulib/usr/share/gnulib/modules/canonicalize-lgpl
	chmod 0644 debian/gnulib/usr/share/gnulib/modules/fflush
	chmod 0644 debian/gnulib/usr/share/gnulib/modules/fflush-tests
	chmod 0644 debian/gnulib/usr/share/gnulib/tests/test-base64.c
	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-closein.sh
	chmod 0644 debian/gnulib/usr/share/gnulib/tests/test-fflush.c
	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-posix_spawn1.in.sh
	chmod 0755 debian/gnulib/usr/share/gnulib/tests/test-posix_spawn2.in.sh

	# Removing unused files
	rm -f debian/gnulib/usr/share/gnulib/modules/COPYING
	rm -f debian/gnulib/usr/share/gnulib/*/.cvsignore
	rm -f debian/gnulib/usr/share/gnulib/*/.gitignore
