=== doc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for gnulib doc.
-# Copyright (C) 2004, 2006-2010 Free Software Foundation, Inc.
+# Copyright (C) 2004, 2006-2011 Free Software Foundation, Inc.
 #
 # Copying and distribution of this file, with or without modification,
 # are permitted in any medium without royalty provided the copyright
@@ -7,11 +7,15 @@
 
 doc = gnulib
 
-MAKEINFO = env LANG= LC_MESSAGES= LC_ALL= LANGUAGE= makeinfo
-TEXI2HTML = $(MAKEINFO) --no-split --reference-limit=2000 --html
+lang_env = env LANG= LC_MESSAGES= LC_ALL= LANGUAGE=
+makeinfo_prog = makeinfo
+MAKEINFO = $(lang_env) $(makeinfo_prog)
+
+manual_opts = --no-split --reference-limit=2000
+TEXI2HTML = $(MAKEINFO) $(manual_opts) --html
 
 %.info: %.texi
-	LANG= LC_MESSAGES= LC_ALL= LANGUAGE= makeinfo --no-split --reference-limit=2000 $<
+	$(MAKEINFO) $(manual_opts) $<
 
 %.html: %.texi
 	$(TEXI2HTML) -o $@ $<
@@ -28,17 +32,27 @@
 dvi: $(doc).dvi
 pdf: $(doc).pdf
 
+INSTALL_PRELUDE = echo '@firstparagraphindent insert'
+
 # INSTALL file with old ASCII quotation marks (looks ugly on modern machines).
 INSTALL: install.texi
-	$(MAKEINFO) --plaintext --no-validate $< > $@
+	$(INSTALL_PRELUDE) | cat - $< > tmp.texi
+	$(MAKEINFO) --plaintext --no-validate tmp.texi > $@
+	rm -f tmp.texi
 
 # INSTALL file with ISO 646 or ISO 8859 quotation marks.
 INSTALL.ISO: install.texi
-	$(MAKEINFO) --plaintext --no-validate $< | sed -e "s/\`\([^']*\)'/'\1'/g" > $@
+	$(INSTALL_PRELUDE) | cat - $< > tmpi.texi
+	$(MAKEINFO) --plaintext --no-validate tmpi.texi \
+	  | sed -e "s/\`\([^']*\)'/'\1'/g" > $@
+	rm -f tmpi.texi
 
 # INSTALL file wit ISO 10646 (Unicode) quotation marks.
 INSTALL.UTF-8: install.texi
-	$(MAKEINFO) --plaintext --no-validate $< | sed -e "s/\`\([^']*\)'/‘\1’/g" > $@
+	$(INSTALL_PRELUDE) | cat - $< > tmpu.texi
+	$(MAKEINFO) --plaintext --no-validate tmpu.texi \
+	  | sed -e "s/\`\([^']*\)'/‘\1’/g" > $@
+	rm -f tmpu.texi
 
 GNULIB_TEXI_FILES = $(filter-out maintain.texi make-stds.texi standards.texi,$(wildcard *.texi)) $(wildcard posix-headers/*.texi) $(wildcard posix-functions/*.texi) $(wildcard glibc-headers/*.texi) $(wildcard glibc-functions/*.texi)
