## gnulib 20110609+stable

=== debian/changelog ===
gnulib (20110609+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Refresh patches.
  * Standards-Version: 3.9.2 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Fri, 10 Jun 2011 03:38:41 +0100
