=== debian/changelog ===
gnulib (20110908+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Refresh 01-gnulib-directory.patch.

 -- Ian Beckwith <ianb@debian.org>  Thu, 08 Sep 2011 20:38:18 +0100
