## gnulib 20111211+stable

=== debian/changelog ===
gnulib (20111211+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Refresh 01-gnulib-directory.patch.

 -- Ian Beckwith <ianb@debian.org>  Sun, 11 Dec 2011 06:56:11 +0000
