=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ian Beckwith <ianb@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), texinfo
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.gnu.org/software/gnulib/
 Vcs-Browser: http://erislabs.net/gitweb?p=gnulib.git
 Vcs-Git: git://erislabs.net/gnulib.git
