## gnulib 20120404+stable

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # GNU Makefile for gnulib central.
-# Copyright (C) 2006, 2009-2011 Free Software Foundation, Inc.
+# Copyright (C) 2006, 2009-2012 Free Software Foundation, Inc.
 #
 # Copying and distribution of this file, with or without modification,
 # in any medium, are permitted without royalty provided the copyright
@@ -18,7 +18,7 @@
 info html dvi pdf:
 	cd doc && $(MAKE) $@ && $(MAKE) mostlyclean
 
-# Collect the names of rules starting with `sc_'.
+# Collect the names of rules starting with 'sc_'.
 syntax-check-rules := $(sort $(shell sed -n 's/^\(sc_[a-zA-Z0-9_-]*\):.*/\1/p'\
 			Makefile))
 
@@ -35,8 +35,8 @@
 sc_prohibit_leading_TABs:
 	if test -d .git; then						\
 	  git grep -l '^ *	' lib m4 tests				\
-            | grep -Ev '^lib/reg|Makefile|test-update-copyright'	\
-            | grep .							\
+	    | grep -Ev '^lib/reg|Makefile|test-update-copyright'	\
+	    | grep .							\
 	    && { printf '*** %s\n' 'indent with spaces, not TABs;'	\
 		 1>&2; exit 1; } || :					\
 	else :; fi
@@ -48,6 +48,13 @@
 	    && { printf '%s\n' 'Do not augment PATH via TESTS_ENVIRONMENT;' \
 		 "  see <$$url>" 1>&2; exit 1; } || :			\
 	else :; fi
+
+# Run all maint.mk syntax-check tests on gnulib's sources.
+sc_maint:
+	rm -f maint.mk; ln -s top/maint.mk maint.mk
+	$(MAKE) -s srcdir=. gnulib_dir=. _build-aux=build-aux \
+            -f cfg.mk -f maint.mk syntax-check
+	rm -f maint.mk
 
 # Files in m4/ that (exceptionally) may use AC_LIBOBJ.
 # Do not include their ".m4" suffix.
@@ -101,11 +108,11 @@
 # *.c files are consistently cpp indented.
 sc_cpp_indent_check:
 	./gnulib-tool --extract-filelist \
-            $$(cd ./modules; grep -ilrE '(meyering|blake)' .) \
-          | sort -u \
-          | grep '\.c$$' \
-          | grep -vE '/(stdio-(read|write)|getloadavg)\.c$$' \
-          | xargs cppi -c
+	    $$(cd ./modules; grep -ilrE '(meyering|blake)' .) \
+	  | sort -u \
+	  | grep '\.c$$' \
+	  | grep -vE '/(stdio-(read|write)|getloadavg)\.c$$' \
+	  | xargs cppi -c
 
 # Ensure that the list of symbols checked for by the
 # sc_prohibit_intprops_without_use rule match those in the actual file.
@@ -115,7 +122,12 @@
 	i=lib/intprops.h; \
 	diff -u <(perl -lne '/^# *define ([A-Z]\w+)\(/ and print $$1' $$i|fmt) \
 	  <(sed -n /^_intprops_name/,/^_intprops_syms_re/p top/maint.mk \
-            |sed '/^_/d;s/^  //;s/	*\\$$//')
+	    |sed '/^_/d;s/^  //;s/	*\\$$//')
+
+# Ensure that the copyright statements in files and in the module descriptions
+# are consistent.
+sc_check_copyright:
+	./check-copyright
 
 # Regenerate some files that are stored in the repository.
 regen: MODULES.html
