=== debian/changelog ===
gnulib (20120404+stable-1ubuntu1) raring; urgency=low

  * Backported upstream git changeset 66712c23 so that we don't
    keep bailing on builds due to gets() having been removed
    (Closes: #687986).

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 03 Apr 2013 13:53:53 -0400

gnulib (20120404+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Refresh 01-gnulib-directory.patch.
  * Standards-Version: 3.9.3 (no changes).

 -- Ian Beckwith <ianb@debian.org>  Fri, 06 Apr 2012 02:20:27 +0100
