=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gnulib
 Section: devel
 Priority: optional
-Maintainer: Ian Beckwith <ianb@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Beckwith <ianb@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), texinfo
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.gnu.org/software/gnulib/
 Vcs-Browser: http://erislabs.net/gitweb?p=gnulib.git
 Vcs-Git: git://erislabs.net/gnulib.git
