## gnulib 20140202%2Bstable

=== debian/changelog ===
gnulib (20140202+stable-2+deb9u1) stretch; urgency=medium

  * Non-maintainer upload.
  * vasnprintf: Fix heap memory overrun bug (CVE-2018-17942) (Closes: #910757)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 09 Feb 2019 21:58:02 +0100

gnulib (20140202+stable-2) unstable; urgency=low

  * New package: git-merge-changelog (Closes: #646013).
  * Thanks to Samuel Bronson <naesten@gmail.com> for
    the git-merge-changelog patches:
    + debian/ changes for git-merge-changelog.
    + Don't hardcode gnulib directory in 01-gnulib-directory.patch.
      Instead, install gnulib-tool into the gnulib directory and symlink to
      it from /usr/bin, like the docs say to do.
    + Bump debhelper compat level to 9 for hardening flags.
  * Man page for git-merge-changelog adapted
    from comments at the top of git-merge-changelog.c
  * Remove duplicate copies of documentation (Closes: #728933).
  * Tweak list of top-level files installed.
  * doc-base: add Format: Info version of manual.

 -- Ian Beckwith <ianb@debian.org>  Sun, 02 Mar 2014 23:04:10 +0000

gnulib (20140202+stable-1) unstable; urgency=low

  * New upstream stable snapshot.
  * Refresh patches.
  * Standards-Version: 3.9.5 (no changes).
  * Tweak lintian overrides.

 -- Ian Beckwith <ianb@debian.org>  Sun, 16 Feb 2014 12:45:44 +0000
