=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: gnulib
 Section: devel
 Priority: optional
-Maintainer: Ian Beckwith <ianb@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), texinfo
-Standards-Version: 3.9.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Ian Beckwith <ianb@debian.org>
+Build-Depends: dpkg-dev (>= 1.16.2), debhelper (>= 9), autoconf, automake, perl
+Build-Depends-Indep: texinfo
+Standards-Version: 3.9.5
 Homepage: http://www.gnu.org/software/gnulib/
 Vcs-Browser: http://erislabs.net/gitweb?p=gnulib.git
 Vcs-Git: git://erislabs.net/gnulib.git
@@ -16,3 +18,14 @@
  The GNU portability library is a macro system and C declarations and
  definitions for commonly-used API elements and abstracted system behaviors. It
  can be used to improve portability and other functionality in your programs.
+
+Package: git-merge-changelog
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: git merge driver for GNU ChangeLog files
+ ChangeLog files *always* foul up most version control systems in
+ their default configuration.
+ .
+ git-merge-changelog is a tool from gnulib designed to help with this
+ for the case of GNU-style ChangeLogs; it can be used with at least
+ git, bzr, and hg.
